# Generated by Django 2.1 on 2018-09-01 20:02

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0004_role'),
    ]

    operations = [
        migrations.CreateModel(
            name='Member',
            fields=[
                ('id', models.BigIntegerField(help_text='The ID of this user, taken from Discord.', primary_key=True, serialize=False, validators=[django.core.validators.MinValueValidator(limit_value=0, message='User IDs cannot be negative.')])),
                ('name', models.CharField(help_text='The username, taken from Discord.', max_length=32)),
                ('discriminator', models.PositiveSmallIntegerField(help_text='The discriminator of this user, taken from Discord.', validators=[django.core.validators.MaxValueValidator(limit_value=9999, message='Discriminators may not exceed `9999`.')])),
                ('avatar_hash', models.CharField(help_text="The user's avatar hash, taken from Discord. Null if the user does not have any custom avatar.", max_length=100, null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='role',
            name='id',
            field=models.BigIntegerField(help_text='The role ID, taken from Discord.', primary_key=True, serialize=False, validators=[django.core.validators.MinValueValidator(limit_value=0, message='Role IDs cannot be negative.')]),
        ),
        migrations.AlterField(
            model_name='role',
            name='name',
            field=models.CharField(help_text='The role name, taken from Discord.', max_length=100),
        ),
        migrations.AddField(
            model_name='member',
            name='roles',
            field=models.ManyToManyField(help_text='Any roles this user has on our server.', to='api.Role'),
        ),
    ]
