# Generated by Django 2.1.3 on 2018-11-19 22:02

import pydis_site.apps.api.models
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0019_user_in_guild'),
    ]

    operations = [
        migrations.CreateModel(
            name='Infraction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('inserted_at', models.DateTimeField(auto_now_add=True, help_text='The date and time of the creation of this infraction.')),
                ('expires_at', models.DateTimeField(help_text="The date and time of the expiration of this infraction. Null if the infraction is permanent or it can't expire.", null=True)),
                ('active', models.BooleanField(default=True, help_text='Whether the infraction is still active.')),
                ('type', models.CharField(choices=[('note', 'Note'), ('warning', 'Warning'), ('mute', 'Mute'), ('ban', 'Ban'), ('kick', 'Kick'), ('superstar', 'Superstar')], help_text='The type of the infraction.', max_length=9)),
                ('reason', models.TextField(help_text='The reason for the infraction.')),
                ('hidden', models.BooleanField(default=False, help_text='Whether the infraction is a shadow infraction.')),
                ('actor', models.ForeignKey(help_text='The user which applied the infraction.', on_delete=django.db.models.deletion.CASCADE, related_name='infractions_given', to='api.User')),
                ('user', models.ForeignKey(help_text='The user to which the infraction was applied.', on_delete=django.db.models.deletion.CASCADE, related_name='infractions_received', to='api.User')),
            ],
            bases=(pydis_site.apps.api.models.mixins.ModelReprMixin, models.Model),
        ),
    ]
