# Generated by Django 2.1.5 on 2019-04-08 18:27

from django.db import migrations, models
import django.utils.timezone
import pydis_site.apps.api.models


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0034_add_botsetting_name_validator'),
    ]

    operations = [
        migrations.CreateModel(
            name='LogEntry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('application', models.CharField(choices=[('bot', 'Bot'), ('seasonalbot', 'Seasonalbot'), ('site', 'Website')], help_text='The application that generated this log entry.', max_length=20)),
                ('logger_name', models.CharField(help_text='The name of the logger that generated this log entry.', max_length=100)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now, help_text='The date and time when this entry was created.')),
                ('level', models.CharField(choices=[('debug', 'Debug'), ('info', 'Info'), ('warning', 'Warning'), ('error', 'Error'), ('critical', 'Critical')], help_text='The logger level at which this entry was emitted. The levels correspond to the Python `logging` levels.', max_length=8)),
                ('module', models.CharField(help_text='The fully qualified path of the module generating this log line.', max_length=100)),
                ('line', models.PositiveSmallIntegerField(help_text='The line at which the log line was emitted.')),
                ('message', models.TextField(help_text='The textual content of the log line.')),
            ],
            bases=(pydis_site.apps.api.models.mixins.ModelReprMixin, models.Model),
        ),
    ]
