# Generated by Django 2.2.5 on 2019-09-25 08:41

from django.db import migrations


def migrate_hidden_warnings_to_notes(apps, schema_editor):
    """Migrates hidden warnings to note."""
    Infraction = apps.get_model('api', 'Infraction')

    for infraction in Infraction.objects.filter(type="warning", hidden=True):
        infraction.type = "note"
        infraction.save()


class Migration(migrations.Migration):

    dependencies = [
        ('api', '0042_infraction_add_default_ordering'),
    ]

    operations = [
        migrations.RunPython(migrate_hidden_warnings_to_notes, elidable=True),
    ]
