# Generated by Django 4.0.6 on 2022-08-23 09:06

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Commit',
            fields=[
                ('sha', models.CharField(help_text='The SHA hash of this commit.', max_length=40, primary_key=True, serialize=False)),
                ('message', models.TextField(help_text='The commit message.')),
                ('date', models.DateTimeField(help_text='The date and time the commit was created.')),
                ('authors', models.TextField(help_text='The person(s) who created the commit. This is a serialized JSON object. Refer to the GitHub documentation on the commit endpoint (schema/commit.author & schema/commit.committer) for more info. https://docs.github.com/en/rest/commits/commits#get-a-commit')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('last_updated', models.DateTimeField(auto_now=True, help_text='The date and time this data was last fetched.')),
                ('sha', models.CharField(help_text="The tag's hash, as calculated by GitHub.", max_length=40)),
                ('name', models.CharField(help_text="The tag's name.", max_length=50, primary_key=True, serialize=False)),
                ('group', models.CharField(help_text='The group the tag belongs to.', max_length=50, null=True)),
                ('body', models.TextField(help_text='The content of the tag.')),
                ('last_commit', models.ForeignKey(help_text='The commit this file was last touched in.', null=True, on_delete=django.db.models.deletion.CASCADE, to='content.commit')),
            ],
        ),
    ]
