---
title: Python Discord Code of Conduct
description: The Code of Conduct for our community.
icon: fab fa-discord
---

# Code of Conduct

We are committed to providing a friendly, safe and welcoming environment for all, regardless of level of experience, gender identity and expression, sexual orientation, disability, personal appearance, body size, race, ethnicity, age, religion, nationality, or other similar characteristic.

##### Examples of behavior that contributes to creating a positive environment include:

* Being kind and courteous to others
* Using welcoming and inclusive language
* Being respectful of differing viewpoints and experiences
* Collaborating with other community members
* Gracefully accepting constructive criticism
* Focusing on what is best for the community
* Showing empathy towards other community members

##### Examples of unacceptable behavior by participants include:

*  The use of sexualized language or imagery and sexual attention or advances
*  The use of inappropriate images, including in a community member's avatar
*  The use of inappropriate language, including in a community member's nickname
*  Any spamming, flaming, baiting or other attention-stealing behavior
*  Trolling, insulting/derogatory comments, and personal or political attacks
*  Public or private harassment
*  Publishing others' private information, such as a physical or electronic address, without explicit permission
*  Discussing topics that are overly polarizing, sensitive, or incite arguments. This includes the discussion of polarizing political views, violence, suicide, and rape.
*  Responding with “RTFM”, "just google it” or similar phrases in response to help requests
*  Other conduct which could reasonably be considered inappropriate

### Our Goal

The goal of this document is to set the overall tone for our community.
This isn’t an exhaustive list of things you can and can't do.
Rather, take this document in the spirit in which it’s intended, and try to be your best self.

We value many things beyond technical expertise, including collaboration and supporting others within our community.
Providing a positive experience for other community members can have a much more significant impact than simply providing the correct answer.

### Scope

This Code of Conduct applies to all spaces managed by Python Discord.
This includes, but is not limited to, the Discord server, our repositories on GitHub, the YouTube-channel, and meet-ups.
In addition, violations of this code outside these spaces may affect a person's ability to participate within them.

The Python Code of Conduct applies equally to all members of the community, including staff.

---

# Code of Conduct Policies

### Moderation Policy

These are the policies for upholding our community’s rules and the code of conduct.
If you want to report a situation that needs to be reviewed by our moderation team, please see our [reporting guide](#reporting-guide).

1.  The [Python Discord Code of Conduct](#code-of-conduct) and the [Community Rules](/pages/rules) are enforced by the moderation team, which consists of users with the Moderators, Admins or Owners role on the Python Discord server.
2.  Behavior that moderators find inappropriate, whether listed in the code of conduct, the community rules, or not, is also not allowed.
3.  Complaints about moderation in-channel are not allowed. If a moderator takes an action or makes a decision you do not agree with, please send a Direct Message (DM) to ModMail from our Discord server.
4.  If you disagree with a moderation action or decision taken against you, you may appeal the action or decision by following the [Appeal Procedure](#appeal-procedure).

### Reporting Guide

Instances of behaviors that violate the Python Discord Code of Conduct or rules may be reported by any member of the community.
Community members are encouraged to report these situations, including situations they witness involving other community members.

You may report in the following ways:

*  By tagging the `@Moderators` role on the Discord server in situations that require immediate moderator attention.
*  By sending a direct message (DM) to ModMail from our Discord server.
*  By sending an email to [admins@pythondiscord.com](mailto:admins@pythondiscord.com)

### Appeal Procedure

If you wish to appeal a decision or action taken by the moderation team, you can do so in one of the following ways:

* By sending a direct message (DM) to ModMail from our Discord server.
* Joining our [ban appeals server](https://discord.gg/WXrCJxWBnm) and sending a direct message (DM) to the Ban Appeals bot.

Please provide all relevant information in your appeal, including:

* Your Discord username and id.
* The decision or action you are appealing.
* The reason for your appeal.

Appeals will be discussed internally with the moderation team, but will be kept confidential otherwise.

---

#### Attribution

This Code of Conduct and parts of the policies are adapted from the [Adafruit Community Code of Conduct](https://github.com/adafruit/Adafruit_Community_Code_of_Conduct/blob/master/code-of-conduct.md), [Django Code of Conduct](https://www.djangoproject.com/conduct/), and the [Rust Code of Conduct](https://www.rust-lang.org/en-US/conduct.html).

#### License
![CC-BY](https://licensebuttons.net/l/by/3.0/88x31.png)

All content on this page is licensed under a [Creative Commons Attribution](https://creativecommons.org/licenses/by/3.0/) license.
