---
title: Writing Good Commit Messages
description: Information about logging in our projects.
---

A well-structured git log is key to a project's maintainability; it provides insight into when and *why* things were done for future maintainers of the project.

Commits should be as narrow in scope as possible.
Commits that span hundreds of lines across multiple unrelated functions and/or files are very hard for maintainers to follow.
After about a week they'll probably be hard for you to follow, too.

Please also avoid making minor commits for fixing typos or linting errors.
[Don’t forget to lint before you push!](https://soundcloud.com/lemonsaurusrex/lint-before-you-push)

A more in-depth guide to writing great commit messages can be found in Chris Beam's [How to Write a Git Commit Message](https://chris.beams.io/posts/git-commit/).
