---
title: Contributing Guidelines
description: Guidelines to adhere to when contributing to our projects.
---

Thank you for your interest in our projects!
This page contains the golden rules to follow when contributing. If you have questions about how to get started contributing, check out our [in-depth walkthrough](../../contributing/).

1. **Lint before you push.**
We have simple but strict style rules that are enforced through linting.
[Set up a pre-commit hook](../linting/) to lint your code when you commit it.
Not all of the style rules are enforced by linting, so make sure to read the [style guide](../style-guide/) as well.
2. **Make great commits.**
Great commits should be atomic, with a commit message explaining what and why.
Check out [Writing Good Commit Messages](../commit-messages/) for details.
3. **Do not open a pull request if you aren't assigned to the issue.**
If someone is already working on it, consider offering to collaborate with that person.
4. **Use assets licensed for public use.**
Whenever the assets are images, audio or even code, they must have a license compatible with our projects.
5. **Follow the [Python Discord Code of Conduct](https://pydis.com/coc).**
We aim to foster a welcoming and friendly environment on our open source projects.
We take violations of our Code of Conduct very seriously, and may respond with moderator action.

<br/>

Failing to comply with our guidelines may lead to a rejection of the contribution.
If you have questions about any of the rules, feel free to ask us in the [`#dev-contrib`](https://discord.gg/2h3qBv8Xaa) channel in our [Discord server](https://discord.gg/python).
{: .notification .is-warning }
