---
title: Working with Git
description: Basic workflows when using git.
icon: fab fa-git-alt
---

Working with git can be daunting, but it is a powerful tool for collaboration and version control.
Below are links to regular workflows for working with Git using PyCharm or the CLI.

> **What's the difference?**<br>
> The integrated Git tool built into PyCharm offers a more visual and abstract way to use Git to manage your files.<br>
> However, the CLI offers more minute control and functionality compared to the GUI, which may not always do exactly what you want.

* [**Working with Git in PyCharm**](./pycharm)
* [**Working with the Git CLI**](./cli)

---

**Resources to learn Git**

* [The Git Book](https://git-scm.com/book)
* [Corey Schafer's YouTube tutorials](https://www.youtube.com/watch?v=HVsySz-h9r4&list=PL-osiE80TeTuRUfjRe54Eea17-YfnOOAx)
* [GitHub Git resources portal](https://try.github.io/)
* [Git cheatsheet](https://education.github.com/git-cheat-sheet-education.pdf)
* [Learn Git branching](https://learngitbranching.js.org)
