---
title: Conversation Etiquette in Our Off-Topic Channels
description: Guidelines on conversation etiquette.
icon: fab fa-discord
---

## Why do we need off-topic etiquette?
Everyone wants to have good conversations in our off-topic channels, but with hundreds of thousands of members, this might mean different things to different people.
To facilitate the best experience for everyone, here are some guidelines on conversation etiquette.

## Three things you shouldn't do
1. Don't interrupt active conversations
    * There's three off-topic channels which can support three simultaneous conversations.
    If one is active and you have something you'd like to discuss, try a different channel.
2. Don't post memes unless they're relevant to a conversation
    * There are better places to share memes; if you have a meme you think is worth sharing, try to find a relevant subreddit, like [/r/ProgrammerHumor](https://www.reddit.com/r/ProgrammerHumor/).
3. Don't snap at people
    * We are a large, diverse community. Different native languages, experiences, and ages mean miscommunications happen. Always try to assume the best in other community members.

## Three things you should do
1. Ask away
    * If you have a question that isn't about Python, just ask it in an inactive off-topic channel.
    If someone sees your question who knows the answer, they will answer you.
    "Why is my wifi not working?", "how do I tune a guitar?", "is there a server for C#?", are all fair game for questions to ask.
    If your question relates to Python, try to find the most suitable channel to ask your question, or open a help session.
2. When in doubt, ask someone to clarify what they mean
    * If you're not sure you properly understand someone, ask them to clarify.
    Text isn't necessarily the easiest way for everyone to communicate, so it makes life easier if we're all on the same page.
3. Join in!
    * The off-topic channels have lots of fun or interesting conversations; if someone is talking about something you're interested in, don't be scared to hop into the conversation.

While you can discuss other topics than Python in the off-topic channels, the [ordinary rules](/pages/rules/) still apply.
