---
title: Python Discord Rules
description: The rules of our community.
icon: fab fa-discord
---
We have a small but strict set of rules on our server. Please read over them and take them on board. If you don't understand a rule or need to report an incident, please send a direct message to <code>@ModMail</code>!

> 1. Follow the [Python Discord Code of Conduct](https://pythondiscord.com/pages/code-of-conduct/).
> 2. Follow the [Discord Community Guidelines](https://discordapp.com/guidelines) and [Terms of Service](https://discordapp.com/terms).
> 3. Respect staff members and listen to their instructions.
> 4. Use English to the best of your ability. Be polite if someone speaks English imperfectly.
> 5. Do not provide or request help on projects that may violate terms of service, or that may be deemed inappropriate, malicious, or illegal.
> 6. Do not post unapproved advertising.
> 7. Keep discussions relevant to the channel topic. Each channel's description tells you the topic.
> 8. Do not help with ongoing exams. When helping with homework, help people learn how to do the assignment without doing it for them.
> 9. Do not offer or ask for paid work of any kind.
> 10. Do not copy and paste answers from ChatGPT or similar AI tools.

# Name & Profile Policy

In order to keep things pleasant and workable for both users and staff members, we enforce the following requirements regarding your name, avatar, and profile. Staff reserve the right to change any nickname we judge to be violating these requirements.

We also reserve the right to enforce compliance of hateful or otherwise inappropriate usernames and profiles regardless of the server-specific nickname or profile.
​

1. No blank or "invisible" names.
2. No slurs or other offensive sentiments or imagery.
3. No noisy unicode characters (for example z̯̯͡a̧͎̺̻̝͕̠l̡͓̫̣g̹̲o̡̼̘) or rapidly flashing avatars.


# Infractions

We have a generally no-nonsense policy when it comes to our rules. If you notice someone breaking them, feel free to mention or DM a staff member and we'll try to deal with it as soon as possible.

The possible actions we take based on infractions can include the following:

* A public verbal or textual warning
* Forced nick changes, where appropriate
* A short temporary mute
* A long temporary mute
* A kick from the server
* A temporary ban from the server
* A permanent ban from the server

While we do discuss more serious matters internally before handing out a punishment, simpler infractions are dealt with directly by individual staffers and the punishment they hand out is left to their own discretion.

If you wish to appeal a decision or action taken by the moderation team, you can do so in one of the following ways:

* By sending a direct message (DM) to ModMail from our Discord server.
* Joining our [ban appeals server](https://discord.gg/WXrCJxWBnm) and sending a direct message (DM) to the Ban Appeals bot.
