---
title: Python Discord Server Roles
description: Information on the various roles at Python Discord.
icon: fab fa-discord
---

# Basic Roles

### <span class="fas fa-circle" style="color:#6e6e6e"></span> Announcements
**Description:** A role pinged by Admins when an announcement is made in the `#announcements` channel.

**How to get it:** Run the command `!subscribe` in the `#bot-commands` channel.
To unsubscribe, run `!unsubscribe` in the `#bot-commands` channel.


### <span class="fas fa-circle" style="color:#6e6e6e"></span> Voice Verified
**Description:** A role that lets people speak in voice channels.

**How to get it:** Send `!voiceverify` in the `#voice-verification` channel.
There are multiple requirements listed there for getting the role.

---

# Server Support Roles

### <span class="fas fa-circle" style="color:#55cc6c"></span> Contributors
**Description:** A role given by staff to people who make substantial contributions to any of the server's [open source repositories](https://github.com/python-discord/) (Sir Lancebot, Python, the site, the branding repo, etc..).<br>
This includes writing pull requests for open issues, and also for reviewing open pull requests (**we really need reviewers!**)

**How to get it:** Contribute to the projects!
It’s difficult to precisely quantify contributions, but we’ve come up with the following guidelines for the role:

- The member has made several significant contributions to our projects.
- The member has a positive influence in our contributors subcommunity.

The role will be assigned at the discretion of the Admin Team in consultation with the Core Developers Team. Check out our [walkthrough](/pages/guides/pydis-guides/contributing/) to get started contributing.

---

# Financial Support Roles

### <span class="fas fa-circle" style="color:#46e6e8"></span> Nitro Boosters
**Description:** A vanity role for people who boost the server with their nitro subscription.

**How to get it:** Boost the server with a nitro subscription.


### <span class="fas fa-circle" style="color:#46e6e8"></span> <span class="fas fa-circle" style="color:#3e7be9"></span> <span class="fas fa-circle" style="color:#2a82bd"></span> Patrons
**Description:** A vanity role for Patreon patrons of the server.

**How to get it:** [Become a patron here!](https://www.patreon.com/python_discord)

---

# Staff Roles
#### Note regarding staff roles:
##### Q: How do I apply for Helper/Moderator/Admin?
There is no application, and there are no public nominations. Staff keep an eye out for potential candidates, and people nominated (by staff) are put in a pool for evaluation. After a period of time the candidate for a certain role is voted on by staff higher up the hierarchy.

##### Q: How do I become Helper?
See the description of a Helper. Being active in helping others, providing good help, contributing to our projects, and abiding by our rules go a long way towards catching staff attention, and make the server a better place for both beginners and advanced Python devs.

##### Role Expectations
In addition to the informal descriptions below, we've also written down a more formal list of expectations that come with each staff role. While this list is mostly for internal use, you can read it [here](/pages/server-info/staff-role-expectations/).

### <span class="fas fa-circle" style="color:#f85950"></span> Owners
**Description:** Owners of the server.

### <span class="fas fa-circle" style="color:#ff784d"></span> Admins
**Description:** Staff who administrate the server, its function, its staff, and are involved in deciding the direction of the server.

### <span class="fas fa-circle" style="color:#1abc9c"></span> Domain Leads
**Description:** Staff in charge of a certain domain such as moderation, events, and outreach. A lead will have a second role specifying their domain.

### <span class="fas fa-circle" style="color:#00aeb4"></span> Project Leads
**Description:** Staff in charge of a certain project that require special attention, such as a YouTube video series or our new forms page.

### <span class="fas fa-circle" style="color:#ff9f1b"></span> Moderators
**Description:** Staff who moderate the server, enforce the rules, and coordinate with staff to support the server.

### <span class="fas fa-circle" style="color:#a1d1ff"></span> PyDis Core Developers
**Description:** A role for staff who are critical contributors to the server's core projects, like the [bot](https://github.com/python-discord/bot) and the [site](https://github.com/python-discord/site), and are in charge of managing the repositories.

### <span class="fas fa-circle" style="color:#a1d1ff"></span> DevOps
**Description:** A role for staff involved with the DevOps toolchain of our core projects.

### <span class="fas fa-circle" style="color:#7de29c"></span> Events Team
**Description:** The events team are staff members who help plan and execute Python Discord events. This can range from the Code Jam, to Pixels, to our survey, specific workshops we want to run, and more.

### <span class="fas fa-circle" style="color:#eecd36"></span> Helpers
**Description:** This is the core staff role in our organization: All staff members have the Helpers role.

In general, being a helper means that you provide substantial help for the server's function, and have a good understanding of the culture and rules of the server.

Helpers assist in the help channels, demonstrate proficiency in the language, and have strong teaching and explanation skills.
Otherwise they might assist in other areas of the organization, such as being a core developer, events team member, or moderator.

Being a helper is also more than just quantity of messages, it's about quality. We watch and we pick these people out of the crowd, because we believe that they're a valuable asset to the community, and want our users to know that they're someone that can be relied on for answers and help.

---

# Code Jam Roles
### <span class="fas fa-circle" style="color:#f87dc8"></span> Code Jam Champions
**Description:** A vanity role for winners of past code jams.

**How to get it:** Win a code jam!


### <span class="fas fa-circle" style="color:#28866c"></span> Code Jam Leaders
**Description:** A temporary role for the duration of a code jam given to team leaders.

**How to get it:** Team leaders are picked from the participants by the Events Team, and assigned for the duration of a jam.


### <span class="fas fa-circle" style="color:#229939"></span> Code Jam Participants
**Description:** A temporary role for the duration of a code jam given to participants.

**How to get it:** Qualify for and participate in a code jam.

*Note: Similar roles may exist for a game jam.*


---

# Miscellaneous Roles

### <span class="fas fa-circle" style="color:#9f3fee"></span> Partners
**Description:** Representatives of communities we are partnered with.

### <span class="fas fa-circle" style="color:#c77cfa"></span> Python Community
**Description:** Prominent people in the Python ecosystem.
Typically this will be people who have written books, people who speak at PyCon, YouTube content creators, podcasters, or notable contributors to a Python runtime or a major Python module.
These members will have a meta role attached to further explain why they have this role, for example `CPython: Core Developer`.
