---
title: Staff Role Expectations
description: List of expectations that come with being on the staff team at Python Discord.
icon: fab fa-discord
---

This page has a list of expectations that come with having a certain staff role in our community.
While the term "expectations" may sound a bit formal, it's important to keep in mind that everyone with a staff role is just a volunteer and that this list is a way of having a clear overview of what each role entails.

This document is mostly meant for internal reference.
If you want a more informal description of each staff role, take a look at our [roles page](/pages/server-info/roles/#staff-roles).

## Expectations

### <span class="fas fa-circle" style="color:#eecd36"></span> Helpers

* In general, helpers participate in Python-related channels (e.g. Help Channels, Topical Channels) and help other members of our community.
* Helpers may also help the community by taking up organizational tasks.
* There are no real requirements for the level of activity a helper has to have, although we do expect their activity level to be more than "nothing".

### <span class="fas fa-circle" style="color:#ff9f1b"></span> Moderators

* Moderators moderate our community and participate in moderation discussions in our moderators channel.
* While moderators don't need to have high levels of activity, we do expect some form of consistent activity.
This means that consistently being active a few times a month is better than having one day with a lot of activity per year.
Having some kind of consistent activity helps moderators bond with the rest of the moderation team and helps them to stay up to date with the moderation policy.
* **Moderators are not required to fulfill the helper criteria in addition to this,** although it's is obviously appreciated if they do.

### <span class="fas fa-circle" style="color:#ff784d"></span> Admins

*  Admins are expected to work on tasks that directly improve the community on a regular basis.
*  Examples of these tasks include:
    * Doing pull request reviews;
    * Being involved in events;
    * Overseeing road map items;
    * Solving critical issues;
    * Handling raids;
    * Joining our meetings (if in a compatible timezone);
    * Actioning issues on the organisation repo;
    * Improving our infrastructure;
    * Writing documentation or guides;
    * Recruiting and on-boarding new staff members;
    * Calling staff votes for nominees;
    * Having one-on-ones with moderators.
* Admins are also expected to keep each other updated on the status of the tasks they are working on.

### <span class="fas fa-circle" style="color:#f85950"></span> Owners

**In addition to** the regular Admin criteria, Owners also have to:

*  Join staff/admin meetings as often as possible and lead those meetings.
*  Help identify the most critical tasks and try to distribute them among the Admins during the weekly Admin meeting.
*  Make sure that no one is "blocked" in performing their tasks.
*  Ensure that the community isn’t neglecting important responsibilities.
*  Manage partnerships, sponsorships and speak on behalf of the community in public settings.

---

## Staff Management
First of all, it's important to appreciate that everything staff members do in this community is voluntary and the expectations listed above are not meant to change that.
**This means it's absolutely fine for all staff members to take breaks or vacations from their activities in the community when they need to.**
We will never hold it against someone if they are temporarily away from their responsibilities.

At the same time, it's only natural for a community like ours that there's some amount of staff turnover as personal interests and circumstances change.
Going forward, we will periodically review the activity of individual staff members and open a dialogue with staff members who are currently not meeting the expectations to see what can be done.
It might happen that we come to conclusion that it's better for a staff member to step down from their current position.
Do note that there are no hard feelings involved if that happens; we just want to make sure that the current staffing reflects the people who are still interested in volunteering in this community.
